net.i2p.router.peermanager

## Enum ProfileOrganizer.Slice

- java.lang.Object
- - java.lang.Enum<ProfileOrganizer.Slice>
  - - net.i2p.router.peermanager.ProfileOrganizer.Slice

- All Implemented Interfaces:
    Serializable, Comparable<ProfileOrganizer.Slice>
  Enclosing class:
    ProfileOrganizer

      public static enum ProfileOrganizer.Slice
      extends Enum<ProfileOrganizer.Slice>

  Defines peer selection slicing modes for tier-based peer organization.

  Enumerates different strategies for dividing peers into subsets based on performance tiers and capacity requirements. Used to control which portions of the peer population are considered during selection operations.

  Supports bit masking for combining multiple selection criteria and provides predefined constants for common slicing patterns including full selection, tier-based selection, and capacity-limited selection modes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SLICE_0`
    `SLICE_0_1`
    `SLICE_1`
    `SLICE_2`
    `SLICE_2_3`
    `SLICE_3`
    `SLICE_ALL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `mask`
    `(package private) int` | `val`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProfileOrganizer.Slice` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ProfileOrganizer.Slice[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SLICE_0

          public static final ProfileOrganizer.Slice SLICE_0

    - #### SLICE_0_1

          public static final ProfileOrganizer.Slice SLICE_0_1

    - #### SLICE_1

          public static final ProfileOrganizer.Slice SLICE_1

    - #### SLICE_2

          public static final ProfileOrganizer.Slice SLICE_2

    - #### SLICE_2_3

          public static final ProfileOrganizer.Slice SLICE_2_3

    - #### SLICE_3

          public static final ProfileOrganizer.Slice SLICE_3

    - #### SLICE_ALL

          public static final ProfileOrganizer.Slice SLICE_ALL

  - ### Field Detail

    - #### mask

          final int mask

    - #### val

          final int val

  - ### Method Detail

    - #### valueOf

          public static ProfileOrganizer.Slice valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static ProfileOrganizer.Slice[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProfileOrganizer.Slice c : ProfileOrganizer.Slice.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared